Marketplace
CompozyOS Marketplace HTTP endpoints.
q?stringOptional catalog search query
limit?integerMaximum results from 1 to 100
int32cursor?stringOpaque next_cursor from the previous page
scope?stringInstalled-state projection scope
"global""profile""workspace"profile?stringRequired for profile installed-state projection
workspace_id?stringRequired for workspace installed-state projection
OK
application/json- response
error?stringerror_class?stringitems*array<>next_cursor?stringrefreshing?booleanrevision*stringsources*array<>stale*booleantotal*integercurl -X GET "https://example.com/api/marketplace"{ "error": "string", "error_class": "string", "items": [ { "author": "string", "description": "string", "digest_sha256": "string", "entry_id": "string", "format": "string", "icon": "string", "install_blocker": "string", "install_slug": "string", "installable": true, "installed": true, "installed_name": "string", "installed_version": "string", "layout": "string", "manage_path": "string", "name": "string", "name_conflict": { "entry_id": "string", "source": "string", "source_ref": "string" }, "published_at": "2019-08-24T14:15:22Z", "source": "string", "source_ref": "string", "tier": "string", "trust": { "allow_unverified": true, "checksum_verified": true, "decision": "string", "registry_tier": "string", "warnings": [ { "category": "string", "code": "string", "data_freshness": "string", "doc_url": "string", "evidence": { "property1": null, "property2": null }, "id": "string", "message": "string", "severity": "string", "suggested_command": "string", "title": "string" } ] }, "update_available": true, "updated_at": "2019-08-24T14:15:22Z", "version": "string" } ], "next_cursor": "string", "refreshing": true, "revision": "string", "sources": [ { "count": 0, "kind": "string", "last_read_at": "2019-08-24T14:15:22Z", "name": "string", "state": "string" } ], "stale": true, "total": 0}entry_id*stringStable URL-safe marketplace entry id
source?stringCatalog source name; omitted searches the CompozyOS catalog, then registration order
installed_name?stringExact installed extension identity
scope?stringInstalled-state projection scope
"global""profile""workspace"profile?stringRequired for profile installed-state projection
workspace_id?stringRequired for workspace installed-state projection
OK
application/json- response
entry*extension?|curl -X GET "https://example.com/api/marketplace/entries/string"{ "entry": { "author": "string", "description": "string", "digest_sha256": "string", "entry_id": "string", "format": "string", "icon": "string", "install_blocker": "string", "install_slug": "string", "installable": true, "installed": true, "installed_name": "string", "installed_version": "string", "layout": "string", "manage_path": "string", "name": "string", "name_conflict": { "entry_id": "string", "source": "string", "source_ref": "string" }, "published_at": "2019-08-24T14:15:22Z", "source": "string", "source_ref": "string", "tier": "string", "trust": { "allow_unverified": true, "checksum_verified": true, "decision": "string", "registry_tier": "string", "warnings": [ { "category": "string", "code": "string", "data_freshness": "string", "doc_url": "string", "evidence": { "property1": null, "property2": null }, "id": "string", "message": "string", "severity": "string", "suggested_command": "string", "title": "string" } ] }, "update_available": true, "updated_at": "2019-08-24T14:15:22Z", "version": "string" }, "extension": { "artifact_url": "string", "contents": { "agents": 0, "hooks": 0, "loops": 0, "mcp_servers": 0, "skills": 0 }, "diagnostics": [ { "category": "string", "code": "string", "data_freshness": "string", "doc_url": "string", "evidence": { "property1": null, "property2": null }, "id": "string", "message": "string", "severity": "string", "suggested_command": "string", "title": "string" } ], "digest_sha256": "string", "inputs": [ { "binding": { "name": "string", "type": "string" }, "default": null, "id": "string", "prompt": "string", "required": true, "type": "string" } ], "install_slug": "string", "layout": "string", "mcp_servers": [ { "auth": { "issuer_url": "string", "method": "string", "registration": "string", "scopes": [ "string" ] }, "launch": "string", "name": "string", "owner": "string", "profile": "string", "runtime_name": "string", "scope": "string", "status": "string", "transport": "string", "workspace_id": "string" } ], "repository": "string", "resolved_ref": "string" }}curl -X POST "https://example.com/api/marketplace/refresh"{ "sources": [ { "entry_count": 0, "error_class": "string", "outcome": "string", "source": "string", "stale": true } ]}Configured sources
application/json- response
sources*array<>curl -X GET "https://example.com/api/marketplace/sources"{ "sources": [ { "diagnostics": [ { "category": "string", "code": "string", "data_freshness": "string", "doc_url": "string", "evidence": { "property1": null, "property2": null }, "id": "string", "message": "string", "severity": "string", "suggested_command": "string", "title": "string" } ], "document_path": "string", "enabled": true, "error": "string", "error_class": "string", "installable": 0, "kind": "string", "last_read_at": "2019-08-24T14:15:22Z", "name": "string", "owner": "string", "plugins": 0, "source": "string", "stability": "string", "state": "string" } ]}dry_run?booleanInspect packages without registering the source
JSON request body
application/json- body
name?stringref*stringSource preview
application/json- response
diagnostics*array<>document_path*stringinstallable*integername*stringowner?stringplugins*integercurl -X POST "https://example.com/api/marketplace/sources" \ -H "Content-Type: application/json" \ -d '{ "ref": "string" }'{ "diagnostics": [ { "category": "string", "code": "string", "data_freshness": "string", "doc_url": "string", "evidence": { "property1": null, "property2": null }, "id": "string", "message": "string", "severity": "string", "suggested_command": "string", "title": "string" } ], "document_path": "string", "installable": 0, "name": "string", "owner": "string", "plugins": 0}name*stringRegistered source name
JSON request body
application/json- body
enabled*boolean|nullUpdated source
application/json- response
source*curl -X PATCH "https://example.com/api/marketplace/sources/string" \ -H "Content-Type: application/json" \ -d '{ "enabled": true }'{ "source": { "diagnostics": [ { "category": "string", "code": "string", "data_freshness": "string", "doc_url": "string", "evidence": { "property1": null, "property2": null }, "id": "string", "message": "string", "severity": "string", "suggested_command": "string", "title": "string" } ], "document_path": "string", "enabled": true, "error": "string", "error_class": "string", "installable": 0, "kind": "string", "last_read_at": "2019-08-24T14:15:22Z", "name": "string", "owner": "string", "plugins": 0, "source": "string", "stability": "string", "state": "string" }}name*stringCustom source name
Source removed
curl -X DELETE "https://example.com/api/marketplace/sources/string"name*stringRegistered source name
Current source state, including degraded refresh
application/json- response
source*curl -X POST "https://example.com/api/marketplace/sources/string/refresh"{ "source": { "diagnostics": [ { "category": "string", "code": "string", "data_freshness": "string", "doc_url": "string", "evidence": { "property1": null, "property2": null }, "id": "string", "message": "string", "severity": "string", "suggested_command": "string", "title": "string" } ], "document_path": "string", "enabled": true, "error": "string", "error_class": "string", "installable": 0, "kind": "string", "last_read_at": "2019-08-24T14:15:22Z", "name": "string", "owner": "string", "plugins": 0, "source": "string", "stability": "string", "state": "string" }}